Create Resident Recurring Charge: Rent Manager
https://api.propexo.com/v1/recurring-resident-charges/rentmanager/| Method |
|---|
| POST /RecurringCharges |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
The amount of the resident charge, in cents
Possible values: > 0
The frequency of the recurring resident charge
Show 3 enum values
DAILYMONTHLYWEEKLYDescription of the recurring resident charge
The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
The amount of the resident charge, in cents
Possible values: > 0
The frequency of the recurring resident charge
Show 3 enum values
DAILYMONTHLYWEEKLYDescription of the recurring resident charge
The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"frequency_normalized": "DAILY"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"frequency_normalized": "DAILY",
"description": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
}